<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('station_log', function (Blueprint $table) {
            $table->id();
            $table->integer('station_id')->comment('工位id');
            $table->integer('user_id')->comment('用户id');
            $table->tinyInteger('type')->comment('0:绑定 1:解绑')->default(0);
            $table->string('remark')->nullable()->comment('备注');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('station_log');
    }
};
